MozillaZine

phoenix build on solaris for sparc 5.8 with gcc 2.95 error

Discussion about official Mozilla Firefox builds
dirtbag

User avatar
 
Posts: 30
Joined: December 19th, 2002, 8:57 pm

Post Posted January 2nd, 2003, 12:16 pm

Im trying to build phoenix from the mozilla source and have also tried it straight from the CVS but keep gettting the following errors..
(configure went fine)

...
...
updating: skin/classic/global/tree/sort-asc.gif (stored 0%)
updating: skin/classic/global/tree/sort-dsc.gif (stored 0%)
updating: skin/classic/global/console/console-error-dash.gif (deflated 6%)
updating: skin/classic/global/console/console-error-caret.gif (deflated 4%)
updating: skin/classic/global/icons/close-button.gif (deflated 12%)
adding: skin/classic/global/customizeToolbar.css (deflated 41%)
adding: skin/classic/global/Preview.png (stored 0%)
adding: skin/classic/global/toolbar.gif (stored 0%)
adding: skin/classic/global/icons/Error.png (stored 0%)
adding: skin/classic/global/icons/Folder-item.png (stored 0%)
adding: skin/classic/global/icons/Message.png (stored 0%)
adding: skin/classic/global/icons/Question.png (stored 0%)
adding: skin/classic/global/icons/Warning.png (stored 0%)
adding: skin/classic/global/menu/Menu-arrow-disabled.png (deflated 6%)
adding: skin/classic/global/menu/Menu-arrow-hover.png (deflated 7%)
adding: skin/classic/global/menu/Menu-arrow.png (deflated 7%)
adding: skin/classic/global/scrollbar/slider/gif (deflated 2%)
adding: skin/classic/global/toolbar/Bookmarks-toolbar.png (stored 0%)
adding: skin/classic/global/toolbar/Lighten.png (deflated 6%)
adding: skin/classic/global/toolbar/chevron.gif (deflated 8%)
adding: skin/classic/global/toolbar/spacer-lft.gif (deflated 11%)
adding: skin/classic/global/toolbar/spacer-rit.gif (deflated 11%)
make[3]: Leaving directory `/var/local/user/jason/mozilla/cvs/mozilla/toolkit/skin/win'
Unknown option: -
+++ making chrome /var/local/user/jason/mozilla/cvs/mozilla/toolkit => ../dist/bin/chrome/toolkit.jar
File::Spec version 0.8 required--this is only version 0.6 at ../config/preprocessor.pl line 74.
BEGIN failed--compilation aborted at ../config/preprocessor.pl line 74.
Preprocessing of content/viewZoomOverlay.js failed: 2 at ../config/make-jars.pl line 346, <STDIN> chunk 2.
make[2]: *** [libs] Error 2
make[2]: Leaving directory `/var/local/user/jason/mozilla/cvs/mozilla/toolkit'
make[1]: *** [tier_9] Error 2
make[1]: Leaving directory `/var/local/user/jason/mozilla/cvs/mozilla'
make: *** [default] Error 2
sunbox%


my .mozconfig has the following:
mk_add_options MOZ_PHOENIX=1
ac_add_options --enable-crypto
ac_add_options --disable-tests
ac_add_options --enable-debug
ac_add_options --enable-optimize=-O2
ac_add_options --disable-debug
ac_add_options --disable-mailnews
ac_add_options --disable-composer
#ac_add_options --enable-xft

any ideas?

alanjstr
Moderator

User avatar
 
Posts: 9100
Joined: November 5th, 2002, 4:43 pm
Location: Anywhere but here

Post Posted January 2nd, 2003, 12:30 pm

What verson of Perl do you have?
Former UMO Admin, Former MozillaZine General Mod
I am rarely on mozillaZine, so please do not send me a private message.
My Old Firefox config files

dirtbag

User avatar
 
Posts: 30
Joined: December 19th, 2002, 8:57 pm

Post Posted January 2nd, 2003, 12:34 pm

sunbox% perl --version

This is perl, version 5.005_02 built for sun4-solaris-thread

alanjstr
Moderator

User avatar
 
Posts: 9100
Joined: November 5th, 2002, 4:43 pm
Location: Anywhere but here

Post Posted January 2nd, 2003, 12:36 pm

Take a look at preprocessor.pl line 74 and see if you can figure out what it's doing. I don't know if anyone has actually built on Solaris yet. There was an open bug for a while about it.
Former UMO Admin, Former MozillaZine General Mod
I am rarely on mozillaZine, so please do not send me a private message.
My Old Firefox config files

dirtbag

User avatar
 
Posts: 30
Joined: December 19th, 2002, 8:57 pm

Post Posted January 2nd, 2003, 12:45 pm

methinks I need perl 5.8... I might have to compile this on a different box..
ill let yall know how it goes..

thanks.

-DB

Robert Archer
 
Posts: 4
Joined: November 5th, 2002, 5:32 pm
Location: Adelaide, South Australia

Post Posted January 3rd, 2003, 5:26 am

I ran into this on FreeBSD 4.7 - it's complaining about the version of File::Spec. You can find this file by doing

<code>find `perl -le 'print "@INC"'` -name Spec.pm</code>

Check the top of the file and you'll see the $VERSION variable. On my system, perl 5.005_03 (the builtin perl) had a Spec.pm with $VERSION = 0.6.

Installing perl 5.6.1 (the perl5 port) gave me a Spec.pm with $VERSION = 0.82, which was enough to fix the error.

dirtbag

User avatar
 
Posts: 30
Joined: December 19th, 2002, 8:57 pm

Post Posted January 3rd, 2003, 9:43 am

ok, so I had to drop back and punt and do this on another solaris 8 box with gcc 2.95 on which I could install an updated perl (5.8.0) .. Installed glib and gtk and downloaded the mozilla cvs, and the configure for mozilla ran fine..
now during the buld, im getting an error as follows:

/usr/bin/gcc -o jsutil.o -c -DOSTYPE=\"SunOS5\" -DOSARCH=\"SunOS\" -DOJI -DEXPORT_JS_API -DJS_USE_SAFE_ARENA -I../../dist/include/js -I../../dist/include -I/export/home/jason/src/mozilla/dist/include/nspr -I. -fPIC -pedantic -Wno-long-long -pthreads -DNDEBUG -DTRIMMED -O2 -include ../../mozilla-config.h -DMOZILLA_CLIENT -Wp,-MD,.deps/jsutil.pp jsutil.c
jsxdrapi.c
/usr/bin/gcc -o jsxdrapi.o -c -DOSTYPE=\"SunOS5\" -DOSARCH=\"SunOS\" -DOJI -DEXPORT_JS_API -DJS_USE_SAFE_ARENA -I../../dist/include/js -I../../dist/include -I/export/home/jason/src/mozilla/dist/include/nspr -I. -fPIC -pedantic -Wno-long-long -pthreads -DNDEBUG -DTRIMMED -O2 -include ../../mozilla-config.h -DMOZILLA_CLIENT -Wp,-MD,.deps/jsxdrapi.pp jsxdrapi.c
prmjtime.c
/usr/bin/gcc -o prmjtime.o -c -DOSTYPE=\"SunOS5\" -DOSARCH=\"SunOS\" -DOJI -DEXPORT_JS_API -DJS_USE_SAFE_ARENA -I../../dist/include/js -I../../dist/include -I/export/home/jason/src/mozilla/dist/include/nspr -I. -fPIC -pedantic -Wno-long-long -pthreads -DNDEBUG -DTRIMMED -O2 -include ../../mozilla-config.h -DMOZILLA_CLIENT -Wp,-MD,.deps/prmjtime.pp prmjtime.c
rm -f libmozjs.so
/usr/bin/gcc -fno-rtti -fno-exceptions -pedantic -Wno-long-long -pthreads -DNDEBUG -DTRIMMED -O2 -fPIC -G -h libmozjs.so -o libmozjs.so jsapi.o jsarena.o jsarray.o jsatom.o jsbool.o jscntxt.o jsdate.o jsdbgapi.o jsdhash.o jsdtoa.o jsemit.o jsexn.o jsfun.o jsgc.o jshash.o jsinterp.o jslock.o jslog2.o jslong.o jsmath.o jsnum.o jsobj.o jsopcode.o jsparse.o jsprf.o jsregexp.o jsscan.o jsscope.o jsscript.o jsstr.o jsutil.o jsxdrapi.o prmjtime.o -lm -lposix4 -ldl -lnsl -lsocket -L/export/home/jason/src/mozilla/dist/lib -lplds4 -lplc4 -lnspr4 -ldl -lrt -lsocket -ldl -lm
gcc: jsmath.o: No such file or directory
make[3]: *** [libmozjs.so] Error 1
make[3]: Leaving directory `/export/home/jason/src/mozilla/js/src'
make[2]: *** [libs] Error 2
make[2]: Leaving directory `/export/home/jason/src/mozilla/js'
make[1]: *** [tier_2] Error 2
make[1]: Leaving directory `/export/home/jason/src/mozilla'
make: *** [default] Error 2
sparky#

I searched google and found a few instances of this, but didnt see a decent answer..

dirtbag

User avatar
 
Posts: 30
Joined: December 19th, 2002, 8:57 pm

Post Posted January 3rd, 2003, 9:56 am

actually a horrible hack seems to have worked .. I copied the jsmath.o from the original sunbox I was compiling phoenix on to the new one Im compiling it on and its compiled past that part now. we shall see..

dirtbag

User avatar
 
Posts: 30
Joined: December 19th, 2002, 8:57 pm

Post Posted January 3rd, 2003, 9:00 pm

Hallelujah!!!
finally got it compiled and the damned thing works! woohoo!!

but I wanted to compile on this machine and export to another solaris box. but it got built with dynamic libs..
# file phoenix-bin
phoenix-bin: ELF 32-bit MSB executable SPARC Version 1, dynamically linked, not stripped
#

so how does one compile this statically?
I tried using ./configure --enable-static
but that didnt seem to work..

any ideas?

dseven

User avatar
 
Posts: 68
Joined: January 3rd, 2003, 4:35 pm
Location: Bay Area, CA

Post Posted January 4th, 2003, 11:40 am

Why can't you "export'" a dynamically linked binary? The only thing I do is make sure that the 4 Gnome liibs:

libgtk-1.2.so.0
libgdk-1.2.so.0
libgmodule-1.2.so.0
libglib-1.2.so.0

are included in the distribution, since mozilla sometimes hangs if it picks up different versions of those...

~/phoenix-0.5% LD_LIBRARY_PATH=. ldd phoenix-bin
libsocket.so.1 => /usr/lib/libsocket.so.1
libdl.so.1 => /usr/lib/libdl.so.1
libm.so.1 => /usr/lib/libm.so.1
libmozjs.so => ./libmozjs.so
libxpcom.so => ./libxpcom.so
libplds4.so => ./libplds4.so
libplc4.so => ./libplc4.so
libnspr4.so => ./libnspr4.so
libpthread.so.1 => /usr/lib/libpthread.so.1
librt.so.1 => /usr/lib/librt.so.1
libgtk-1.2.so.0 => ./libgtk-1.2.so.0
libgdk-1.2.so.0 => ./libgdk-1.2.so.0
libgmodule-1.2.so.0 => ./libgmodule-1.2.so.0
libglib-1.2.so.0 => ./libglib-1.2.so.0
libXext.so.0 => /usr/openwin/lib/libXext.so.0
libX11.so.4 => /usr/openwin/lib/libX11.so.4
libnsl.so.1 => /usr/lib/libnsl.so.1
libCstd.so.1 => /usr/lib/libCstd.so.1
libCrun.so.1 => /usr/lib/libCrun.so.1
libw.so.1 => /usr/lib/libw.so.1
libthread.so.1 => /usr/lib/libthread.so.1
libc.so.1 => /usr/lib/libc.so.1
libaio.so.1 => /usr/lib/libaio.so.1
libmd5.so.1 => /usr/lib/libmd5.so.1
libmp.so.2 => /usr/lib/libmp.so.2
/usr/lib/cpu/sparcv8plus/libCstd_isa.so.1
/usr/platform/SUNW,Ultra-2/lib/libc_psr.so.1
/usr/platform/SUNW,Ultra-2/lib/libmd5_psr.so.1
~/phoenix-0.5%

So long as the machine you're "exporting" to is reasonably up-to-date it should be OK...

~Iain

Return to Firefox Builds


Who is online

Users browsing this forum: No registered users and 6 guests